curl --request POST \
--url https://flowker.sandbox.lerian.net/v1/workflows/{id}/clone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Payment Notification Flow — Copy"
}
'import requests
url = "https://flowker.sandbox.lerian.net/v1/workflows/{id}/clone"
payload = { "name": "Payment Notification Flow — Copy" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Payment Notification Flow — Copy'})
};
fetch('https://flowker.sandbox.lerian.net/v1/workflows/{id}/clone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2026-03-17T14:30:00Z",
"status": "draft",
"version": "1.0.0",
"workflowId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}{
"code": "FLK-0001",
"detail": "name is a required field",
"errors": [
{
"location": "body.nodes",
"message": "expected array length >= 1",
"value": "<unknown>"
}
],
"instance": "/v1/workflows",
"status": 400,
"title": "Bad Request",
"type": "https://errors.lerian.studio/v1/FLK-0001"
}{
"code": "FLK-0001",
"detail": "name is a required field",
"errors": [
{
"location": "body.nodes",
"message": "expected array length >= 1",
"value": "<unknown>"
}
],
"instance": "/v1/workflows",
"status": 400,
"title": "Bad Request",
"type": "https://errors.lerian.studio/v1/FLK-0001"
}{
"code": "FLK-0001",
"detail": "name is a required field",
"errors": [
{
"location": "body.nodes",
"message": "expected array length >= 1",
"value": "<unknown>"
}
],
"instance": "/v1/workflows",
"status": 400,
"title": "Bad Request",
"type": "https://errors.lerian.studio/v1/FLK-0001"
}{
"code": "FLK-0001",
"detail": "name is a required field",
"errors": [
{
"location": "body.nodes",
"message": "expected array length >= 1",
"value": "<unknown>"
}
],
"instance": "/v1/workflows",
"status": 400,
"title": "Bad Request",
"type": "https://errors.lerian.studio/v1/FLK-0001"
}Clonar un workflow
Utiliza este endpoint para crear una copia de un workflow existente con un nuevo nombre. El workflow clonado se crea con estado draft.
Autorizaciones
Token bearer JWT emitido por el provider de identidad. Envíalo en la cabecera Authorization como Bearer <token>.
Parámetros de ruta
Identificador único del workflow de origen a clonar.
Cuerpo
Cuerpo de la solicitud que contiene los parámetros de clonación.
Nombre para el workflow clonado. Debe ser único.
1 - 100"Payment Notification Flow — Copy"
Respuesta
Indica que el recurso fue creado exitosamente y la operación se completó según lo esperado.
Marca de tiempo de cuando se creó el workflow.
"2026-03-17T14:30:00Z"
Estado inicial del workflow (siempre draft al crear).
"draft"
Versión de la definición del workflow.
"1.0.0"
Identificador único del workflow creado.
"a1b2c3d4-e5f6-7890-abcd-ef1234567890"
¿Esta página le ayudó?

